<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>MacNN Demo</title>
<meta name="generator" content="Bluefish 2.2.10" >
<meta name="author" content="Glenn Porter" >
<meta name="date" content="2023-09-14T15:03:26-0500" >
<meta name="copyright" content="2023 by Glenn Porter">
<meta name="keywords" content="">
<meta name="description" content="">
<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8">
<meta http-equiv="content-style-type" content="text/css">
<meta http-equiv="expires" content="0">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<style>
.mySlides {display:none;}
</style>
</head>
<body>

<h2 class="w3-center">Demo Slideshow</h2>

<div class="w3-content w3-display-container">

<?php
	$dir = "../Demo2/images";
 	$file1 = scandir($dir);
 	foreach ($file1 as $element){
 		$loop_file = $dir."/".$element;
 		if(is_file ($loop_file)){
			$image_info = getimagesize($loop_file);
			if ($image_info[0]>$image_info[1]){ /* identifies a landscape image */
			echo "<center><img class='mySlides' src=".$loop_file." style='width:75%'></center>";		
			}//if landscape block
			else { /* otherwise it's portrait */
			echo "<center><img class='mySlides' src=".$loop_file." style='width:50%'></center>";
			} //else block
		} //if is file block
 	} //foreach block
?>  

  <button class="w3-button w3-black w3-display-left" onclick="plusDivs(-1)">&#10094;</button>
  <button class="w3-button w3-black w3-display-right" onclick="plusDivs(1)">&#10095;</button>
</div>

<script>
var slideIndex = 1;
showDivs(slideIndex);

function plusDivs(n) {
  showDivs(slideIndex += n);
}

function showDivs(n) {
  var i;
  var x = document.getElementsByClassName("mySlides");
  if (n > x.length) {slideIndex = 1}
  if (n < 1) {slideIndex = x.length}
  for (i = 0; i < x.length; i++) {
    x[i].style.display = "none";  
  }
  x[slideIndex-1].style.display = "block";  

}
</script>
</body>
</html>
